Bug 169433 - [iwn] iwn(4) doesn't support 6235 chip.
Summary: [iwn] iwn(4) doesn't support 6235 chip.
Status: Closed Overcome By Events
Alias: None
Product: Base System
Classification: Unclassified
Component: wireless (show other bugs)
Version: unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-wireless mailing list
URL:
Keywords: easy, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2012-06-26 09:40 UTC by Alexander Motin
Modified: 2019-01-13 21:39 UTC (History)
4 users (show)

See Also:
koobs: mfc-stable10?


Attachments
enable Centrino 6235 (1.63 KB, patch)
2014-08-12 10:34 UTC, Don Harper
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Motin freebsd_committer 2012-06-26 09:40:06 UTC
iwn(4) doesn't know about Intel Centrino Advanced-N 6235 chip found in Asus UX31A laptop.

pciconf -lvcb:
..
none4@pci0:2:0:0:        class=0x028000 card=0x40608086 chip=0x088e8086 rev=0x24 hdr=0x00
    vendor     = 'Intel Corporation'
    class      = network
    bar   [10] = type Memory, range 64, base rxf7c00000, size 8192, enabled
    cap 01[c8] = powerspec 3  supports D0 D3  current D0
    cap 05[d0] = MSI supports 1 message, 64 bit enabled with 1 message
    cap 10[e0] = PCI-Express 1 endpoint max data 128(128) link x1(x1)
ecap 0001[100] = AER 1 0 fatal 0 non-fatal 1 corrected
ecap 0003[140] = Serial 1 c48508ffff111aa2

Fix: 

Update firmware version and add chip ID to the driver.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2012-06-26 10:12:59 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-wireless

Over to maintainer(s).
Comment 2 rcm 2012-08-05 16:28:51 UTC
I have the same [I think] card in a new Samsung NP550P5C-T01US with 
slightly different parameters:

pciconf -lvcb:
...
none4@pci0:2:0:0: class=0x028000 card=0x40608086 chip=0x088e8086 
rev=0x24 hdr=0x00
vendor = 'Intel Corporation'
class = network
bar [10] = type Memory, range 64, base rxf7800000, size 8192, enabled
cap 01[c8] = powerspec 3 supports D0 D3 current D0
cap 05[d0] = MSI supports 1 message, 64 bit
cap 10[e0] = PCI-Express 1 endpoint max data 128(128) link x1(x1)
ecap 0001[100] = AER 1 0 fatal 0 non-fatal 0 corrected
ecap 0003[140] = Serial 1 c48508ffff2a7876

I have -HEAD from 20120801 installed and am ready and willing to try any 
patches.  Thanks, I'd really like to see this working.

Further notes:  Linux Mint 13 x86_64 lists it as:
lspci -v
...
02:00.0 Network controller: Intel Corporation Centrino Advanced-N 6235 
(rev 24)
     Subsystem: Intel Corporation Centrino Advanced-N 6235 AGN
     Flags: bus master, fast devsel, latency 0, IRQ 45
     Memory at f7800000 (64-bit, non-prefetchable) [size=8K]
     Capabilities: [c8] Power Management version 3
     Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
     Capabilities: [e0] Express Endpoint, MSI 00
     Capabilities: [100] Advanced Error Reporting
     Capabilities: [140] Device Serial Number c4-85-08-ff-ff-2a-78-76
     Kernel driver in use: iwlwifi
     Kernel modules: iwlwifi


-- 
Ron McDowell
San Antonio TX
Comment 3 Bernhard Schmidt freebsd_committer 2012-08-22 20:28:35 UTC
Responsible Changed
From-To: freebsd-wireless->bschmidt

over to me
Comment 4 Pierre DAVID 2012-10-30 15:58:33 UTC
The same chip is apparently on a Toshiba Portege Z930:

# pciconf -lcvb
...
none2@pci0:2:0:0:       class=0x028000 card=0x40608086 chip=0x088e8086 rev=0x24 hdr=0x00
    vendor     = 'Intel Corporation'
    class      = network
    bar   [10] = type Memory, range 64, base rxe0400000, size 8192, enabled
    cap 01[c8] = powerspec 3  supports D0 D3  current D0
    cap 05[d0] = MSI supports 1 message, 64 bit 
    cap 10[e0] = PCI-Express 1 endpoint max data 128(128) FLR link x1(x1)
    ecap 0001[100] = AER 1 0 fatal 0 non-fatal 1 corrected
    ecap 0003[140] = Serial 1 c48508ffff7db121

# uname -a
FreeBSD vagabond 10.0-CURRENT FreeBSD 10.0-CURRENT #0 r241986: Wed Oct 24 20:10:06 CEST 2012     root@vagabond:/usr/obj/usr/src/sys/VAGABOND  amd64

Pierre
Comment 5 Don Harper 2014-06-27 15:46:32 UTC
This chip is also in an HP EliteBook R810-G1:

none3@pci0:3:0:0:       class=0x028000 card=0x40608086 chip=0x088e8086 rev=0x24 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'Centrino Advanced-N 6235'
    class      = network
    bar   [10] = type Memory, range 64, base rxd0400000, size 8192, enabled
    cap 01[c8] = powerspec 3  supports D0 D3  current D0
    cap 05[d0] = MSI supports 1 message, 64 bit 
    cap 10[e0] = PCI-Express 1 endpoint max data 128(128) FLR link x1(x1)
                 speed 2.5(2.5) ASPM L1(L0s/L1)
    ecap 0001[100] = AER 1 0 fatal 0 non-fatal 1 corrected
    ecap 0003[140] = Serial 1 c8f733ffff222068


I see that it has been added to HEAD.  Are there plans to back-port this to 10-STABLE or 10-RELEASE?  This is the same chip in all three of my laptops (the R810, an EliteBook Folio 9470m, and an ASUS UX32VD) and I would like to not run a custom kernel.

Thanks!

d
Comment 6 Don Harper 2014-08-12 10:34:24 UTC
Created attachment 145706 [details]
enable Centrino 6235

Based on the work done here: https://forums.freebsd.org/viewtopic.php?t=35467
Comment 7 Don Harper 2014-08-12 10:37:35 UTC
Attached are the files I use against 10-RELEASE, and they work for me.  I can use the wifi for ~6-8 hours at a time no issues.
Comment 8 Don Harper 2014-08-12 10:40:42 UTC
I cannot attach the firmware as I get an nginx error.  But, it can be found at  http://intellinuxwireless.org/?n=downloads -- make sure it's the iwlwifi-6000g2b-ucode-18.168.6.1.tgz.
Comment 9 Mark Linimon freebsd_committer freebsd_triage 2015-03-10 03:26:16 UTC
Release to wild.
Comment 10 Joe Maloney 2016-01-02 05:54:48 UTC
Hello I see this question has been asked but I did not see an answer.  I have this same chip.  Are there any plans for this driver to be backported in time for 10.3?  This has been backported to PCBSD's 10.2 release, and 10.1 release prior.  

Would project policy hold a fix like this back until 11?  What would hold it back until 11 if I may ask?  I am just wondering if I can help the project when I notice these things to backport them someday if I am ever punished with a commit bit.  Thanks for your time.
Comment 11 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-02 06:16:35 UTC
This can't be in progress without an Assignee, re-open. This is an easy candidate for MFC'ing to stable/10, so that 10.3-RELEASE gets it.

@Mav, since you're a committer and the original reporter of this issue, you may be able to assist getting these issues resolved and MFC'd, since they all contain patches, and some (in other referenced See Also issues) have even been committed.
Comment 12 Taner Tas 2016-02-21 11:33:30 UTC
Problem still exists on 10.3-Beta2 (and 10-STABLE). Card doesn't have detected by kernel: "no driver" in dmesg. Despite corresponding device ID's have exist in <sys/dev/iwn/if_iwn_devid.h> but they are NOT enabled in <sys/dev/iwn/if_iwn.c> on 10-STABLE. I tried to add these ID's myself and then corrected the firmware version in <sys/modules/iwnfw/iwn6000g2b/Makefile> as "iwlwifi-6000g2b-18.168.6.1".

As I saw on forums, these are the steps that people made in order to enable Centrino 6235 on their 10-X systems. But it didn't work on my 10-STABLE. Device detected by kernel after changes done but behaves utterly awkward when trying to UP the interface. Wifi channel changes like crazy with with out-of-range values like 128 etc. Frequently goes DOWN and UP.

I also tried ndis(4) and ndisload solutions by using Windows XP driver but it didn't help either (or maybe I couldn't do it properly). I'm trying to find a solution rather than replacing/buy any hardware.
Comment 13 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2019-01-13 21:39:25 UTC
Closing as OBE, the support was committed in base r259116